> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run Status

> Get the current status of a simulation run.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/simulation/runs/{run_id}/status
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/simulation/runs/{run_id}/status:
    get:
      tags:
        - Simulation
      summary: Get Run Status
      description: Get the current status of a simulation run.
      operationId: core_api_v1_controllers_simulation_get_run_status
      parameters:
        - in: path
          name: run_id
          schema:
            title: Run Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulationRunStatusOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SimulationRunStatusOut:
      description: Response schema for simulation run status polling.
      properties:
        object:
          default: simulation_run_status
          title: Object
          type: string
        status:
          title: Status
          type: string
        total_tests:
          default: 0
          title: Total Tests
          type: integer
        completed_tests:
          default: 0
          title: Completed Tests
          type: integer
        progress_percentage:
          default: 0
          title: Progress Percentage
          type: number
      required:
        - status
      title: SimulationRunStatusOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````